View Issue Details

IDProjectCategoryView StatusLast Update
0000164MantisDroid[All Projects] Taskpublic2012-10-27 12:10
Reportere7andy Assigned Toe7andy  
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.1Fixed in Version1.1 
Summary0000164: Subprojects support
Description-Project edit - Save subprojects when saving project.
-Project list - Show subprojects indented below project.
-Issue list - Show subprojects in project dropdown.
-Issue list - Show that issue is in subproject. See note!
-Issue edit - Show subprojects in project list and select correct project onload.
TagsNo tags attached.

Activities

e7andy

2012-10-26 09:58

administrator   ~0000050

Last edited: 2012-10-26 10:12

View 4 revisions

IssuesCollectionPagerAdapter.java in displayProjectNameInListItems():
If project is a subproject, then display project name in item.

private boolean isIssueInSubProject(issue) {
  if(issue.getProject().getId() != currentProjectId) {
    return true;
  } else {
    return false;
  }
}

public boolean isDisplayProjectNameInListItems(Issue issue) {
  return displayProjectNameInListItems || isIssueInSubProject(issue);
}

IssueListActivity.java in onNavigationItemSelected():
Add code:
Project currentProject = projects.get(itemPosition);
issuesCollectionPagerAdapter.setCurrentProjectId(currentProject.getId());

Issue History

Date Modified Username Field Change
2012-05-05 17:01 e7andy New Issue
2012-05-11 10:25 e7andy Target Version backlog => 1.0
2012-05-11 10:31 e7andy Status new => confirmed
2012-06-29 10:38 e7andy Target Version 1.0 => backlog
2012-07-13 10:29 e7andy Status confirmed => acknowledged
2012-07-26 23:27 e7andy Category Request => Task
2012-09-03 16:45 e7andy Target Version backlog => 1.1
2012-09-27 15:36 e7andy Status acknowledged => confirmed
2012-09-27 15:36 e7andy Summary Handle sub projects => Handle subprojects
2012-09-27 15:36 e7andy Description Updated View Revisions
2012-09-27 15:39 e7andy Description Updated View Revisions
2012-10-01 21:27 e7andy Assigned To => e7andy
2012-10-01 21:27 e7andy Status confirmed => assigned
2012-10-01 21:27 e7andy Description Updated View Revisions
2012-10-08 14:35 e7andy Assigned To e7andy =>
2012-10-08 14:35 e7andy Status assigned => confirmed
2012-10-08 14:35 e7andy Description Updated View Revisions
2012-10-23 08:01 e7andy Assigned To => e7andy
2012-10-23 08:01 e7andy Status confirmed => assigned
2012-10-23 09:14 e7andy Priority normal => high
2012-10-26 09:46 e7andy Description Updated View Revisions
2012-10-26 09:58 e7andy Note Added: 0000050
2012-10-26 09:58 e7andy Description Updated View Revisions
2012-10-26 10:06 e7andy Note Edited: 0000050 View Revisions
2012-10-26 10:08 e7andy Note Edited: 0000050 View Revisions
2012-10-26 10:12 e7andy Note Edited: 0000050 View Revisions
2012-10-26 17:48 e7andy Description Updated View Revisions
2012-10-26 19:50 e7andy Status assigned => closed
2012-10-26 19:50 e7andy Fixed in Version => 1.1
2012-10-26 19:50 e7andy Description Updated View Revisions
2012-10-26 22:45 e7andy Resolution open => fixed
2012-10-27 12:10 e7andy Summary Handle subprojects => Subprojects support